import type { Action, History, Location } from 'history';
import React, { ReactNode } from 'react';
export interface Props {
    /** a history instance (e.g. createBrowserHistory()) */
    readonly history: History;
    readonly children?: ReactNode;
}
export interface Refs {
    readonly updateFromQuery: (query: string) => void;
}
export declare const handleHistoryEvent: (action?: Action) => ((update: Location, action: Action) => {
    action: Action;
    location: Location;
}) | (({ location, action, }: {
    readonly location: Location;
    readonly action: Action;
}) => {
    action: Action;
    location: Location;
});
export declare const GeschichteWithHistory: React.ForwardRefExoticComponent<Props & React.RefAttributes<Refs>>;
export default GeschichteWithHistory;
